Rygel.HTTPItemURI – librygel-server Reference Manual

# HTTPItemURI

## Object Hierarchy:

## Description:

public class HTTPItemURI : Object
Namespace: Rygel
Package: librygel-server

## Content:

### Properties:

- public string item_id { set; get; }
- public int thumbnail_index { set; get; }
- public int subtitle_index { set; get; }
- public string? resource_name { set; get; }
- public weak HTTPServer http_server { set; get; }
- public string extension { set; owned get; }

### Creation methods:

- public HTTPItemURI (MediaObject object, HTTPServer http_server, int thumbnail_index = -1, int subtitle_index = -1, string? resource_name = null)
- public HTTPItemURI.from_string (string uri, HTTPServer http_server) throws HTTPRequestError

### Methods:

- public string to_string ()

### Fields:

- public static HashMap<string,string> mime_to_ext

### Inherited Members:

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count